# Interface RelatedRecordsInfoJson

The sort in the popupInfo for the parent feature. This impacts the sorting order for the returned child records.

See https://developers.arcgis.com/web-map-specification/objects/relatedRecordsInfo/ https://developers.arcgis.com/web-scene-specification/objects/relatedRecordsInfo/.

interface RelatedRecordsInfoJson {
orderByFields?: OrderByFieldsJson[];
showRelatedRecords: boolean;
}

#####
Index

### Properties

orderByFields?
showRelatedRecords

##
Properties

### `Optional` orderByFields

orderByFields?: OrderByFieldsJson[]

Array of orderByFields objects indicating the field display order for the related records and whether they should be sorted in ascending 'asc' or descending 'desc' order.

### showRelatedRecords

showRelatedRecords: boolean

Required boolean value indicating whether to display related records. If true, client should const the user navigate to the related records. Defaults to true if the layer participates in a relationship AND the related layer/table has already been added to the map (either as an operationalLayer or as a table).